<template>
  <div v-show="visible_sd" class="sticky_detail">
    <div class="container">
      <div class="sticky_detail__hotline">
        <span>Hotline</span>
        <strong>1900.63.3579</strong>
      </div>
      <div class="sticky_detail__right d-flex items-center">
        <div class="price">
          <strong>
            {{ (product.sale.sale_price || product.price) | formatNumber }}
          </strong>
          <div v-if="product.sale.sale_price" class="price_old">
            {{ product.price | formatNumber }}
          </div>
        </div>
        <div class="sticky_detail__btn">
          <a
            class="btn-default add-cart"
            href="javascript:;"
            @click.prevent="addToCart(product)"
          >
            Thêm vào giỏ hàng
          </a>
          <!--<a class="btn-default add-compare" href="#">Thêm vào so sánh</a>-->
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import { EventBus } from '~/plugins/bus'

export default {
  name: 'ProductDetailSticky',
  // eslint-disable-next-line vue/require-prop-types
  props: ['product'],
  data() {
    return {
      visible_sd: true,
    }
  },
  mounted() {
    window.addEventListener('scroll', this.stickyDetail)
  },
  methods: {
    stickyDetail() {
      const elementTarget = document.getElementById('footer')
      const wWidth = window.innerWidth
      if (
        window.scrollY >
        elementTarget.offsetTop - elementTarget.offsetHeight
      ) {
        this.visible_sd = false
      } else {
        this.visible_sd = true
      }
      if (wWidth < 992) {
        if (window.scrollY > 400) {
          this.visible_sd = true
        } else {
          this.visible_sd = false
        }
      }
    },
    openLoginPopup(type) {
      EventBus.$emit('open-modal-login', true)
      if (type === 'register') {
        EventBus.$emit('type-register', true)
      } else {
        EventBus.$emit('type-register', false)
      }
    },
    addToCart(product) {
      this.$store.commit('add', product)
    },
  },
}
</script>
